FAQ - BIAS Amp Mobile

Q: What Apple iOS Devices is BIAS Amp compatible with?
A: BIAS Amp (iOS) requires iOS 9 or above to run, and it is compatible with the following iOS devices.
  • iPhone 6/6s Plus
  • iPhone 5/5s
  • iPad Pro
  • iPad Air Air/Air2
  • iPad 2/3/4
  • iPad mini/mini 2/mini 3/mini 4
  • iPod 5

 

 

Please also refer to General FAQ if your question is not answered here.

 

Was this article helpful?
0 out of 0 found this helpful